{
    "name": "stairway",
    "displayName": "stairway",
    "description": "Please enter a brief description here",
    "version": "0.0.1",
    "engines": {
        "vscode": "^1.67.0"
    },
    "categories": [
        "Programming Languages"
    ],
    "contributes": {
        "languages": [{
            "id": "stairway",
            "aliases": ["stairway", "stairway"],
            "extensions": [".stairway"],
            "configuration": "./language-configuration.json"
        }],
        "grammars": [{
            "language": "stairway",
            "scopeName": "source.stairway",
            "path": "./syntaxes/stairway.tmLanguage.json"
        }], 
        "commands":[{
            "command": "stairway.generate",
            "title": "Generate Job"
        }],
        "menus": {
            "commandPalette": [{
                "command": "stairway.generate",
                "when": "editorLangId == stairway"
            }],
            "editor/content": [{
                "command": "stairway.genrate",
                "when": "editorLangId == stairway",
                "group": "z_commands"
            }]
        }
    },
    "activationEvents": [
        "onLanguage:stairway"
    ],
    "files": [
        "bin",
        "out",
        "src"
    ],
    "bin": {
        "stairway-cli": "./bin/cli"
    },
    "main": "./out/extension.js",
    "scripts": {
        "vscode:prepublish": "npm run build && npm run lint",
        "build": "tsc -b tsconfig.json",
        "watch": "tsc -b tsconfig.json --watch",
        "lint": "eslint src --ext ts",
        "langium:generate": "langium generate",
        "langium:watch": "langium generate --watch"
    },
    "dependencies": {
        "chevrotain": "~10.4.2",
        "chalk": "~4.1.2",
        "commander": "~10.0.0",
        "langium": "~1.1.0",
        "vscode-languageclient": "~8.0.2",
        "vscode-languageserver": "~8.0.2",
        "vscode-uri": "~3.0.7"
    },
    "devDependencies": {
        "@types/node": "~16.18.11",
        "@types/vscode": "~1.67.0",
        "@typescript-eslint/eslint-plugin": "~5.51.0",
        "@typescript-eslint/parser": "~5.51.0",
        "eslint": "~8.33.0",
        "langium-cli": "~1.1.0",
        "typescript": "~4.9.5"
    }
}
